dbXML API

## com.dbxml.db.core
Class DBException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.dbxml.util.dbXMLException
                  com.dbxml.db.core.DBException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ExtensionException, FilerException, IndexerException, QueryException, SecurityException, TransactionException, TriggerException

public class DBException
extends dbXMLException

A DBException is thrown by the database if an exception occurs in the managing (creating, dropping) database objects such as Collections, Indexes, and Extensions.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.dbxml.util.dbXMLException
`faultCode`

Constructor Summary
`DBException()`
`DBException(int faultCode)`
`DBException(int faultCode, java.lang.String message)`
`DBException(int faultCode, java.lang.String message, java.lang.Throwable wrapped)`
`DBException(int faultCode, java.lang.Throwable wrapped)`
`DBException(java.lang.Throwable wrapped)`

Methods inherited from class com.dbxml.util.dbXMLException
`getFaultCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DBException

    public DBException()

### DBException

    public DBException(java.lang.Throwable wrapped)

### DBException

    public DBException(int faultCode)

### DBException

    public DBException(int faultCode,
                       java.lang.Throwable wrapped)

### DBException

    public DBException(int faultCode,
                       java.lang.String message)

### DBException

    public DBException(int faultCode,
                       java.lang.String message,
                       java.lang.Throwable wrapped)

dbXML API

Copyright (c) 2004 The dbXML Group